diff --git a/src/main/java/net/minecraft/server/net/command/commands/NicknameCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
similarity index 91%
rename from src/main/java/net/minecraft/server/net/command/commands/NicknameCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
index 08c27d29e..f5b45f507 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/NicknameCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandNickname.java
@@ -10,22 +10,22 @@ import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.net.packet.UpdatePlayerProfilePacket;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 
 import java.util.List;
 
-public class NicknameCommand {
+public class CommandNickname {
     private static final SimpleCommandExceptionType NICKNAME_TOO_LARGE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.nickname.exception_too_large"));
     private static final SimpleCommandExceptionType NICKNAME_TOO_SMALL = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.nickname.exception_too_small"));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("nickname")
             .then(LiteralArgumentBuilder.<CommandSource>literal("set")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.player())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
                     .requires(CommandSource::hasAdmin)
                     .then(RequiredArgumentBuilder.<CommandSource, String>argument("nickname", StringArgumentType.greedyString())
                         .executes(c -> {
@@ -36,7 +36,7 @@ public class NicknameCommand {
                             if (nickname.isEmpty()) throw NICKNAME_TOO_SMALL.create();
                             List<? extends Entity> entities = entitySelector.get(source);
 
-                            ServerPlayer player = (ServerPlayer) entities.get(0);
+                            PlayerServer player = (PlayerServer) entities.get(0);
 
                             player.nickname = nickname;
                             player.hadNicknameSet = true;
@@ -56,7 +56,7 @@ public class NicknameCommand {
                         if (nickname.length() > 16) throw NICKNAME_TOO_LARGE.create();
                         if (nickname.isEmpty()) throw NICKNAME_TOO_SMALL.create();
 
-                        ServerPlayer player = (ServerPlayer) source.getSender();
+                        PlayerServer player = (PlayerServer) source.getSender();
 
                         if (player == null) throw CommandExceptions.notInWorld().create();
 
@@ -69,25 +69,25 @@ public class NicknameCommand {
                         return Command.SINGLE_SUCCESS;
                     })))
             .then(LiteralArgumentBuilder.<CommandSource>literal("get")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.player())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                         List<? extends Entity> entities = entitySelector.get(source);
-                        ServerPlayer player = (ServerPlayer) entities.get(0);
+                        PlayerServer player = (PlayerServer) entities.get(0);
 
                         source.sendTranslatableMessage("command.commands.nickname.get.success", player.username, player.nickname);
                         return Command.SINGLE_SUCCESS;
                     })))
             .then(LiteralArgumentBuilder.<CommandSource>literal("reset")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.player())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
                     .requires(CommandSource::hasAdmin)
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                         List<? extends Entity> entities = entitySelector.get(source);
 
-                        ServerPlayer player = (ServerPlayer) entities.get(0);
+                        PlayerServer player = (PlayerServer) entities.get(0);
 
                         player.nickname = "";
                         player.hadNicknameSet = false;
@@ -103,7 +103,7 @@ public class NicknameCommand {
                 .executes(c -> {
                     CommandSource source = c.getSource();
 
-                    ServerPlayer player = (ServerPlayer) source.getSender();
+                    PlayerServer player = (PlayerServer) source.getSender();
 
                     if (player == null) throw CommandExceptions.notInWorld().create();
 
diff --git a/src/main/java/net/minecraft/server/net/command/commands/OpCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
similarity index 90%
rename from src/main/java/net/minecraft/server/net/command/commands/OpCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
index 57deba69f..b9de58b1e 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/OpCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandOp.java
@@ -8,23 +8,23 @@ import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.net.command.IServerCommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.net.packet.UpdatePlayerProfilePacket;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
 
 import java.util.List;
 
-public class OpCommand {
+public class CommandOp {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.op.exception_failure"));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("op")
             .requires(CommandSource::hasAdmin)
-            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.players())
+            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     if (!(source instanceof IServerCommandSource))
@@ -37,7 +37,7 @@ public class OpCommand {
                     boolean oppedSomeone = false;
 
                     for (Entity entity : entities) {
-                        ServerPlayer player = (ServerPlayer) entity;
+                        PlayerServer player = (PlayerServer) entity;
                         if (!player.isOperator()) {
                             oppedSomeone = true;
                             server.playerList.opPlayer(player.uuid);
diff --git a/src/main/java/net/minecraft/server/net/command/commands/SaveCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandSave.java
similarity index 99%
rename from src/main/java/net/minecraft/server/net/command/commands/SaveCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandSave.java
index a52105084..087044399 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/SaveCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandSave.java
@@ -14,7 +14,7 @@ import net.minecraft.server.MinecraftServer;
 import net.minecraft.server.net.command.IServerCommandSource;
 import net.minecraft.server.world.WorldServer;
 
-public class SaveCommand {
+public class CommandSave {
     private static final DynamicCommandExceptionType FAILURE =
         new DynamicCommandExceptionType(arg -> () -> I18n.getInstance().translateKeyAndFormat("command.commands.save.exception_failure", arg));
 
diff --git a/src/main/java/net/minecraft/server/net/command/commands/ScoreCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
similarity index 88%
rename from src/main/java/net/minecraft/server/net/command/commands/ScoreCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
index ad1833461..498479034 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/ScoreCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandScore.java
@@ -8,18 +8,18 @@ import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandSource;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.net.command.IServerCommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.packet.UpdatePlayerProfilePacket;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
 
 import java.util.List;
 
-public class ScoreCommand {
+public class CommandScore {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("score")
             .then(LiteralArgumentBuilder.<CommandSource>literal("get")
@@ -30,7 +30,7 @@ public class ScoreCommand {
                     source.sendTranslatableMessage("command.commands.score.get.success", player.score);
                     return player.score;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.player())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
                     .requires(CommandSource::hasAdmin)
                     .executes(c -> {
                         CommandSource source = c.getSource();
@@ -45,7 +45,7 @@ public class ScoreCommand {
                     })))
             .then(LiteralArgumentBuilder.<CommandSource>literal("set")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.players())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
                     .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("score", IntegerArgumentType.integer(0, Integer.MAX_VALUE))
                         .executes(c -> {
                             CommandSource source = c.getSource();
@@ -53,13 +53,13 @@ public class ScoreCommand {
                             List<? extends Entity> entities = entitySelector.get(source);
                             int score = c.getArgument("score", Integer.class);
                             for (Entity entity : entities) {
-                                setPlayerScore(source, (ServerPlayer) entity, score);
+                                setPlayerScore(source, (PlayerServer) entity, score);
                             }
                             return score;
                         }))))
             .then(LiteralArgumentBuilder.<CommandSource>literal("add")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.players())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
                     .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("score", IntegerArgumentType.integer(0, Integer.MAX_VALUE))
                         .executes(c -> {
                             CommandSource source = c.getSource();
@@ -67,13 +67,13 @@ public class ScoreCommand {
                             List<? extends Entity> entities = entitySelector.get(source);
                             int score = c.getArgument("score", Integer.class);
                             for (Entity entity : entities) {
-                                setPlayerScore(source, (ServerPlayer) entity, ((ServerPlayer) entity).score + score);
+                                setPlayerScore(source, (PlayerServer) entity, ((PlayerServer) entity).score + score);
                             }
                             return score;
                         })))));
     }
 
-    private static void setPlayerScore(CommandSource source, ServerPlayer player, int score) throws CommandSyntaxException {
+    private static void setPlayerScore(CommandSource source, PlayerServer player, int score) throws CommandSyntaxException {
         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
         MinecraftServer server = ((IServerCommandSource) source).getServer();
         player.score = score;
diff --git a/src/main/java/net/minecraft/server/net/command/commands/StopCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandStop.java
similarity index 98%
rename from src/main/java/net/minecraft/server/net/command/commands/StopCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandStop.java
index 409b1cc57..2c9eedbe0 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/StopCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandStop.java
@@ -9,7 +9,7 @@ import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.server.net.command.IServerCommandSource;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 
-public class StopCommand {
+public class CommandStop {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("stop")
                 .requires(CommandSource::hasAdmin)
diff --git a/src/main/java/net/minecraft/server/net/command/commands/UnbanCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandUnban.java
similarity index 99%
rename from src/main/java/net/minecraft/server/net/command/commands/UnbanCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandUnban.java
index 3fa77754f..7af0aa6c0 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/UnbanCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandUnban.java
@@ -13,7 +13,7 @@ import net.minecraft.core.util.helper.UUIDHelper;
 import net.minecraft.server.MinecraftServer;
 import net.minecraft.server.net.command.IServerCommandSource;
 
-public class UnbanCommand {
+public class CommandUnban {
     private static final DynamicCommandExceptionType FAILURE =
         new DynamicCommandExceptionType(arg -> () -> I18n.getInstance().translateKeyAndFormat("command.commands.unban.exception_failure", arg));
 
diff --git a/src/main/java/net/minecraft/server/net/command/commands/WhitelistCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandWhitelist.java
similarity index 97%
rename from src/main/java/net/minecraft/server/net/command/commands/WhitelistCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandWhitelist.java
index b6c9679f9..bbaeae680 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/WhitelistCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandWhitelist.java
@@ -11,13 +11,13 @@ import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.util.helper.UUIDHelper;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.net.command.IServerCommandSource;
 
 import java.util.Set;
 import java.util.UUID;
 
-public class WhitelistCommand {
+public class CommandWhitelist {
     private static final DynamicCommandExceptionType FAILURE =
         new DynamicCommandExceptionType(arg -> () -> I18n.getInstance().translateKeyAndFormat("command.commands.whitelist.exception_failure", arg));
 
@@ -84,7 +84,7 @@ public class WhitelistCommand {
 
                         String nameToAdd = c.getArgument("name", String.class);
 
-                        ServerPlayer player = server.playerList.getPlayerEntity(nameToAdd);
+                        PlayerServer player = server.playerList.getPlayerEntity(nameToAdd);
                         if(player != null) {
                             server.playerList.addToWhiteList(player.uuid);
                             c.getSource().sendTranslatableMessage("command.commands.whitelist.add.success", player.username);
@@ -106,7 +106,7 @@ public class WhitelistCommand {
 
                                 String nameToAdd = c.getArgument("name", String.class);
 
-                                ServerPlayer player = server.playerList.getPlayerEntity(nameToAdd);
+                                PlayerServer player = server.playerList.getPlayerEntity(nameToAdd);
                                 if(player != null) {
                                     server.playerList.removeFromWhiteList(player.uuid);
                                     c.getSource().sendTranslatableMessage("command.commands.whitelist.remove.success", player.username);
diff --git a/src/main/java/net/minecraft/server/net/command/commands/WhoIsCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandWhoIs.java
similarity index 90%
rename from src/main/java/net/minecraft/server/net/command/commands/WhoIsCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandWhoIs.java
index 11e46f11f..ba2f5f9c8 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/WhoIsCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandWhoIs.java
@@ -8,13 +8,13 @@ import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 
-public class WhoIsCommand {
+public class CommandWhoIs {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("whois")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.player())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
diff --git a/src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java b/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
similarity index 93%
rename from src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java
rename to src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
index 9ebdd6156..983210804 100644
--- a/src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java
+++ b/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
@@ -7,7 +7,7 @@ import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.server.net.command.ServerCommandSource;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.UUIDHelper;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.core.net.NetworkManager;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.net.packet.*;
@@ -29,7 +29,7 @@ import java.security.Key;
 import java.util.Random;
 import java.util.UUID;
 
-public class LoginPacketHandler extends PacketHandler
+public class PacketHandlerLogin extends PacketHandler
 {
     private static final Logger LOGGER = LogUtils.getLogger();
     private static final Random rand = new Random();
@@ -42,7 +42,7 @@ public class LoginPacketHandler extends PacketHandler
     private String serverId;
     public static String kickMessage = null;
 
-    public LoginPacketHandler(MinecraftServer minecraftserver, Socket socket, String s)
+    public PacketHandlerLogin(MinecraftServer minecraftserver, Socket socket, String s)
             throws IOException
     {
         finishedProcessing = false;
@@ -132,14 +132,14 @@ public class LoginPacketHandler extends PacketHandler
                 () -> {
                     try
                     {
-                        String s = LoginPacketHandler.getServerId(this);
+                        String s = PacketHandlerLogin.getServerId(this);
                         URL url = new URL("http://session.minecraft.net/game/checkserver.jsp?user=" + URLEncoder.encode(loginPacket.username, "UTF-8") + "&serverId=" + URLEncoder.encode(s, "UTF-8"));
                         BufferedReader bufferedreader = new BufferedReader(new InputStreamReader(url.openStream()));
                         String s1 = bufferedreader.readLine();
                         bufferedreader.close();
                         if(s1.equals("YES"))
                         {
-                            LoginPacketHandler.setLoginPacket(this, loginPacket);
+                            PacketHandlerLogin.setLoginPacket(this, loginPacket);
                         } else
                         {
                             this.kickUser("Failed to verify username!");
@@ -168,7 +168,7 @@ public class LoginPacketHandler extends PacketHandler
                 return;
             }
         }
-        ServerPlayer player = mcServer.playerList.getPlayerForLogin(this, loginPacket.username, loginPacket.uuid);
+        PlayerServer player = mcServer.playerList.getPlayerForLogin(this, loginPacket.username, loginPacket.uuid);
         if (player != null)
         {
             mcServer.playerList.load(player);
@@ -176,7 +176,7 @@ public class LoginPacketHandler extends PacketHandler
             LOGGER.info(getUserAndIPString() + " logged in with entity id " + player.id + " at (" + player.x + ", " + player.y + ", " + player.z + ")");
             WorldServer worldserver = mcServer.getDimensionWorld(player.dimension);
             ChunkCoordinates chunkcoordinates = worldserver.getSpawnPoint();
-            ServerPacketHandler packetHandler = new ServerPacketHandler(mcServer, netManager, player);
+            PacketHandlerServer packetHandler = new PacketHandlerServer(mcServer, netManager, player);
             try
             {
                 packetHandler.sendPacket(new LoginPacket("", new UUID(0, 0), player.id, worldserver.getRandomSeed(), (byte) worldserver.dimension.id, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.dimensionData.getWorldType()), NetworkManager.PACKET_DELAY, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
@@ -295,13 +295,13 @@ public class LoginPacketHandler extends PacketHandler
         return true;
     }
 
-    public static String getServerId(LoginPacketHandler loginPacketHandler)
+    public static String getServerId(PacketHandlerLogin packetHandlerLogin)
     {
-        return loginPacketHandler.serverId;
+        return packetHandlerLogin.serverId;
     }
 
-    public static LoginPacket setLoginPacket(LoginPacketHandler loginPacketHandler, LoginPacket loginPacket)
+    public static LoginPacket setLoginPacket(PacketHandlerLogin packetHandlerLogin, LoginPacket loginPacket)
     {
-        return loginPacketHandler.loginPacket = loginPacket;
+        return packetHandlerLogin.loginPacket = loginPacket;
     }
 }
